IEEE80211_QUEUE_WORK(9)

NAME
ieee80211_queue_work - add work onto the mac80211 workqueue

SYNOPSIS

void ieee80211_queue_work(struct ieee80211_hw * hw, struct work_struct * work);

ARGUMENTS

hw
    the hardware struct for the interface we are adding work for

work
    the work we want to add onto the mac80211 workqueue

DESCRIPTION

Drivers and mac80211 use this to add work onto the mac80211 workqueue. This helper ensures drivers are not queueing work when they should not be.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT